# If KERNELRELEASE is defined, we've been invoked from the
# kernel build system and can use its language
ifneq ($(KERNELRELEASE),)
	obj-m := oops.o

# Otherwise we were called directly from the command-line;
# invoke the kernel buid system
else

	KERNELDIR ?= /lib/modules/$(shell uname -r)/build
	PWD   := $(shell pwd)


default:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules

endif

clean:
	rm -f *.ko *.o *.mod.c *~ .*.cmd
	rm -rf .tmp_versions
